E-MailRelay

Public Member Functions | List of all members
GNet::FdSet Class Reference

An "fd_set" wrapper class used by GNet::EventLoopImp. More...

## Public Member Functions
void | init (const EventHandlerList &)
void | raiseEvents (EventHandlerList &, void(EventHandler::*method)())
void | raiseEvents (EventHandlerList &, void(EventHandler::*method)(EventHandler::Reason), EventHandler::Reason)
void | invalidate () noexcept
int | fdmax (int=0) const
fd_set * | operator() ()

## Detailed Description

An "fd_set" wrapper class used by GNet::EventLoopImp.

Definition at line 47 of file geventloop_select.cpp.

## Member Function Documentation

## ◆ fdmax()

int GNet::FdSet::fdmax | ( | int | n = `0` | ) | const

Definition at line 156 of file geventloop_select.cpp.

## ◆ init()

void GNet::FdSet::init | ( | const EventHandlerList & | list | ) |

Definition at line 127 of file geventloop_select.cpp.

## ◆ invalidate()

void GNet::FdSet::invalidate | ( |  | ) |
| noexcept

Definition at line 122 of file geventloop_select.cpp.

## ◆ operator()()

fd_set * GNet::FdSet::operator() | ( |  | ) |

Definition at line 117 of file geventloop_select.cpp.

## ◆ raiseEvents() [1/2]

void GNet::FdSet::raiseEvents | ( | EventHandlerList & | list,
|  | void(EventHandler::*)() | method
| ) |  |

Definition at line 161 of file geventloop_select.cpp.

## ◆ raiseEvents() [2/2]

void GNet::FdSet::raiseEvents | ( | EventHandlerList & | list,
|  | void(EventHandler::*)(EventHandler::Reason) | method,
|  | EventHandler::Reason | reason
| ) |  |

Definition at line 175 of file geventloop_select.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/geventloop_select.cpp